=== modified file 'bzrlib/tests/features.py'
--- bzrlib/tests/features.py	2010-05-20 21:45:02 +0000
+++ bzrlib/tests/features.py	2010-03-18 06:25:23 +0000
@@ -24,7 +24,6 @@
 apport = tests.ModuleAvailableFeature('apport')
 paramiko = tests.ModuleAvailableFeature('paramiko')
 pycurl = tests.ModuleAvailableFeature('pycurl')
-pywintypes = tests.ModuleAvailableFeature('pywintypes')
 subunit = tests.ModuleAvailableFeature('subunit')
 
 

=== modified file 'bzrlib/tests/test_trace.py'
--- bzrlib/tests/test_trace.py	2010-05-20 21:45:02 +0000
+++ bzrlib/tests/test_trace.py	2010-02-25 13:15:08 +0000
@@ -29,7 +29,7 @@
     errors,
     trace,
     )
-from bzrlib.tests import features, TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.trace import (
     mutter, mutter_callsite, report_exception,
     set_verbosity_level, get_verbosity_level, is_quiet, is_verbose, be_quiet,
@@ -104,19 +104,6 @@
         self.assertContainsRe(msg,
             r'^bzr: ERROR: \[Errno .*\] No such file.*nosuchfile')
 
-    def test_format_pywintypes_error(self):
-        self.requireFeature(features.pywintypes)
-        import pywintypes, win32file
-        try:
-            win32file.RemoveDirectory('nosuchfile22222')
-        except pywintypes.error:
-            pass
-        msg = _format_exception()
-        # GZ 2010-05-03: Formatting for pywintypes.error is basic, a 3-tuple
-        #                with errno, function name, and locale error message
-        self.assertContainsRe(msg,
-            r"^bzr: ERROR: \(2, 'RemoveDirectory[AW]?', .*\)")
-
     def test_format_unicode_error(self):
         try:
             raise errors.BzrCommandError(u'argument foo\xb5 does not exist')

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2010-05-20 17:47:58 +0000
+++ bzrlib/trace.py	2010-03-30 14:44:30 +0000
@@ -492,9 +492,7 @@
     elif not getattr(exc_object, 'internal_error', True):
         report_user_error(exc_info, err_file)
         return errors.EXIT_ERROR
-    elif isinstance(exc_object, (OSError, IOError)) or (
-        # GZ 2010-05-20: Like (exc_type is pywintypes.error) but avoid import
-        exc_type.__name__ == "error" and exc_type.__module__ == "pywintypes"):
+    elif isinstance(exc_object, (OSError, IOError)):
         # Might be nice to catch all of these and show them as something more
         # specific, but there are too many cases at the moment.
         report_user_error(exc_info, err_file)

